# EventPerfLogActivateClass

Activates event logging for a PETSc object class.

### Synopsis

    #include "petsc.h"
    PetscErrorCode EventPerfLogActivateClass(EventPerfLog eventLog, EventRegLog eventRegLog, PetscCookie cookie)

Not Collective

### Input Parameters

| eventLog | - The EventPerfLog
| eventRegLog | - The EventRegLog
| cookie | - The class id, for example MAT_COOKIE, SNES_COOKIE,

### See Also

EventPerfLogDeactivateClass(), EventPerfLogActivate(), EventPerfLogDeactivate()

Level:developer
Location:src/sys/plog/utils/eventLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages